org.apache.tinkerpop.gremlin.structure.io

## Class IoCustomTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoCustomTest

-     public class IoCustomTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `assertIdDirectly`
    `String` | `ioType`
    `Function<Graph,GraphReader>` | `readerMaker`
    `Function<Graph,GraphWriter>` | `writerMaker`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoCustomTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldProperlySerializeCustomId()`
    `void` | `shouldSupportUUID()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ioType

          public String ioType

    - #### assertIdDirectly

          public boolean assertIdDirectly

    - #### readerMaker

          public Function<Graph,GraphReader> readerMaker

    - #### writerMaker

          public Function<Graph,GraphWriter> writerMaker

  - ### Constructor Detail

    - #### IoCustomTest

          public IoCustomTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldSupportUUID

          public void shouldSupportUUID()
                                 throws Exception

      Throws:
        `Exception`

    - #### shouldProperlySerializeCustomId

          public void shouldProperlySerializeCustomId()
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.